---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libcm01t008.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x57B0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x59660, symBinAddr: 0x10220, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5B5A0, symBinAddr: 0x12160, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5B990, symBinAddr: 0x12550, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5C930, symBinAddr: 0x134F0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5C940, symBinAddr: 0x13500, symSize: 0x0 }
  - { offsetInCU: 0xBBA, offset: 0xBBA, size: 0x8, addend: 0x0, symName: _CLASS_NAME, symObjAddr: 0x111C8, symBinAddr: 0x100A0, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x592A0, symBinAddr: 0x100B0, symSize: 0x0 }
  - { offsetInCU: 0xBDA, offset: 0xBDA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x592A4, symBinAddr: 0x100B4, symSize: 0x0 }
  - { offsetInCU: 0xBE5, offset: 0xBE5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x592A8, symBinAddr: 0x100B8, symSize: 0x0 }
  - { offsetInCU: 0xC2A, offset: 0xC2A, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x59400, symBinAddr: 0x100C0, symSize: 0x0 }
  - { offsetInCU: 0xCA3, offset: 0xCA3, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x594B8, symBinAddr: 0x10178, symSize: 0x0 }
  - { offsetInCU: 0xCC1, offset: 0xCC1, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x594BC, symBinAddr: 0x1017C, symSize: 0x0 }
  - { offsetInCU: 0xCDA, offset: 0xCDA, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x594C0, symBinAddr: 0x10180, symSize: 0x0 }
  - { offsetInCU: 0xCF3, offset: 0xCF3, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x594C4, symBinAddr: 0x10184, symSize: 0x0 }
  - { offsetInCU: 0xD0C, offset: 0xD0C, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x594C8, symBinAddr: 0x10188, symSize: 0x0 }
  - { offsetInCU: 0x92FB, offset: 0x92FB, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x594D0, symBinAddr: 0x10190, symSize: 0x0 }
  - { offsetInCU: 0x9384, offset: 0x9384, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x594E0, symBinAddr: 0x101A0, symSize: 0x0 }
  - { offsetInCU: 0x939D, offset: 0x939D, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x594E8, symBinAddr: 0x101A8, symSize: 0x0 }
  - { offsetInCU: 0x93B6, offset: 0x93B6, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x594F0, symBinAddr: 0x101B0, symSize: 0x0 }
  - { offsetInCU: 0x93CF, offset: 0x93CF, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x594F8, symBinAddr: 0x101B8, symSize: 0x0 }
  - { offsetInCU: 0x93E8, offset: 0x93E8, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x59500, symBinAddr: 0x101C0, symSize: 0x0 }
  - { offsetInCU: 0x9402, offset: 0x9402, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x59508, symBinAddr: 0x101C8, symSize: 0x0 }
  - { offsetInCU: 0x94E8, offset: 0x94E8, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x59550, symBinAddr: 0x101D0, symSize: 0x0 }
  - { offsetInCU: 0x9501, offset: 0x9501, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x59558, symBinAddr: 0x101D8, symSize: 0x0 }
  - { offsetInCU: 0x951A, offset: 0x951A, size: 0x8, addend: 0x0, symName: __ZL3jni, symObjAddr: 0x59598, symBinAddr: 0x101E8, symSize: 0x0 }
  - { offsetInCU: 0x9533, offset: 0x9533, size: 0x8, addend: 0x0, symName: __ZL6thread, symObjAddr: 0x595A0, symBinAddr: 0x101F0, symSize: 0x0 }
  - { offsetInCU: 0x954C, offset: 0x954C, size: 0x8, addend: 0x0, symName: __ZL5klass, symObjAddr: 0x595A8, symBinAddr: 0x101F8, symSize: 0x0 }
  - { offsetInCU: 0x9565, offset: 0x9565, size: 0x8, addend: 0x0, symName: __ZL6method, symObjAddr: 0x595B0, symBinAddr: 0x10200, symSize: 0x0 }
  - { offsetInCU: 0x957E, offset: 0x957E, size: 0x8, addend: 0x0, symName: __ZL5field, symObjAddr: 0x595B8, symBinAddr: 0x10208, symSize: 0x0 }
  - { offsetInCU: 0x9597, offset: 0x9597, size: 0x8, addend: 0x0, symName: __ZL16klass_byte_count, symObjAddr: 0x595C0, symBinAddr: 0x10210, symSize: 0x0 }
  - { offsetInCU: 0x95B0, offset: 0x95B0, size: 0x8, addend: 0x0, symName: __ZL11klass_bytes, symObjAddr: 0x595C8, symBinAddr: 0x10218, symSize: 0x0 }
  - { offsetInCU: 0x9602, offset: 0x9602, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4450, symSize: 0x80 }
  - { offsetInCU: 0x9697, offset: 0x9697, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x43A0, symSize: 0xB0 }
  - { offsetInCU: 0x96F2, offset: 0x96F2, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x42A0, symSize: 0x100 }
  - { offsetInCU: 0x9985, offset: 0x9985, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x44D0, symSize: 0xC0 }
  - { offsetInCU: 0x99D7, offset: 0x99D7, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4590, symSize: 0x220 }
  - { offsetInCU: 0x9BBC, offset: 0x9BBC, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x47B0, symSize: 0xA0 }
  - { offsetInCU: 0x9C6F, offset: 0x9C6F, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4850, symSize: 0x110 }
  - { offsetInCU: 0x9D65, offset: 0x9D65, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4960, symSize: 0x150 }
  - { offsetInCU: 0x9EC2, offset: 0x9EC2, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4AB0, symSize: 0x30 }
  - { offsetInCU: 0x9FFB, offset: 0x9FFB, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4AE0, symSize: 0x150 }
  - { offsetInCU: 0xA1F3, offset: 0xA1F3, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4C30, symSize: 0x160 }
  - { offsetInCU: 0xA4B3, offset: 0xA4B3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x4D90, symSize: 0x4A0 }
  - { offsetInCU: 0xA726, offset: 0xA726, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x5230, symSize: 0x1B0 }
  - { offsetInCU: 0xA941, offset: 0xA941, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x53E0, symSize: 0xA0 }
  - { offsetInCU: 0xAA68, offset: 0xAA68, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x5480, symSize: 0x20 }
  - { offsetInCU: 0xAA9F, offset: 0xAA9F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x54A0, symSize: 0x20 }
  - { offsetInCU: 0xAAD6, offset: 0xAAD6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x54C0, symSize: 0x20 }
  - { offsetInCU: 0xAC85, offset: 0xAC85, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x54E0, symSize: 0x1A0 }
  - { offsetInCU: 0xAFA1, offset: 0xAFA1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x5680, symSize: 0x130 }
  - { offsetInCU: 0xB151, offset: 0xB151, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x5A20, symSize: 0x1B0 }
  - { offsetInCU: 0xB440, offset: 0xB440, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x5BD0, symSize: 0x80 }
  - { offsetInCU: 0xB509, offset: 0xB509, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x5C50, symSize: 0x6A0 }
  - { offsetInCU: 0xC09E, offset: 0xC09E, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xC130, symBinAddr: 0x8F10, symSize: 0xB0 }
  - { offsetInCU: 0xC115, offset: 0xC115, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x62F0, symSize: 0x70 }
  - { offsetInCU: 0xC209, offset: 0xC209, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x6360, symSize: 0xA0 }
  - { offsetInCU: 0xC334, offset: 0xC334, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x6400, symSize: 0x40 }
  - { offsetInCU: 0xC42A, offset: 0xC42A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x6440, symSize: 0x2B0 }
  - { offsetInCU: 0xC7D0, offset: 0xC7D0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x66F0, symSize: 0xC0 }
  - { offsetInCU: 0xC916, offset: 0xC916, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x67B0, symSize: 0x10 }
  - { offsetInCU: 0xC9D8, offset: 0xC9D8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x67C0, symSize: 0x220 }
  - { offsetInCU: 0xCCD5, offset: 0xCCD5, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x69E0, symSize: 0x10 }
  - { offsetInCU: 0xCD32, offset: 0xCD32, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x69F0, symSize: 0x6E0 }
  - { offsetInCU: 0xD54F, offset: 0xD54F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA2F0, symBinAddr: 0x70D0, symSize: 0x10 }
  - { offsetInCU: 0xE021, offset: 0xE021, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA300, symBinAddr: 0x70E0, symSize: 0x1CD0 }
  - { offsetInCU: 0x10794, offset: 0x10794, size: 0x8, addend: 0x0, symName: __ZL17ClassFileLoadHookP9_jvmtiEnvP7JNIEnv_P7_jclassP8_jobjectPKcS6_iPKhPiPPh, symObjAddr: 0xBFD0, symBinAddr: 0x8DB0, symSize: 0x160 }
  - { offsetInCU: 0x109A0, offset: 0x109A0, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xC1E0, symBinAddr: 0x8FC0, symSize: 0x370 }
  - { offsetInCU: 0x10F9F, offset: 0x10F9F, size: 0x8, addend: 0x0, symName: __ZL10HeapObjectllPlPv, symObjAddr: 0xC550, symBinAddr: 0x9330, symSize: 0x10 }
  - { offsetInCU: 0x10FE9, offset: 0x10FE9, size: 0x8, addend: 0x0, symName: __ZL15ObjectReference24jvmtiObjectReferenceKindllPlliPv, symObjAddr: 0xC560, symBinAddr: 0x9340, symSize: 0x10 }
  - { offsetInCU: 0x11054, offset: 0x11054, size: 0x8, addend: 0x0, symName: __ZL8HeapRoot17jvmtiHeapRootKindllPlPv, symObjAddr: 0xC570, symBinAddr: 0x9350, symSize: 0x10 }
  - { offsetInCU: 0x110A9, offset: 0x110A9, size: 0x8, addend: 0x0, symName: __ZL14StackReference17jvmtiHeapRootKindllPlliP10_jmethodIDiPv, symObjAddr: 0xC580, symBinAddr: 0x9360, symSize: 0x8 }
...
